Error when run command rasa x

I’m beginner in using rasa x and when i install i have some problem like this

(chatbottest) C:\rasatestmodel>rasa x Starting Rasa X in local mode… :rocket: 2021-08-06 15:32:56 WARNING rasax.community.services.insights.insight_service - No local evaluation result files found. 2021-08-06 15:32:59 ERROR concurrent.futures - exception calling callback for <Future at 0x2a465562370 state=finished raised gaierror> Traceback (most recent call last): File “C:\Users\charo\anaconda3\envs\chatbottest\lib\concurrent\futures\thread.py”, line 57, in run result = self.fn(*self.args, **self.kwargs) File “C:\Users\charo\anaconda3\envs\chatbottest\lib\socket.py”, line 918, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “C:\Users\charo\anaconda3\envs\chatbottest\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “C:\Users\charo\anaconda3\envs\chatbottest\lib\asyncio\futures.py”, line 374, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “C:\Users\charo\anaconda3\envs\chatbottest\lib\asyncio\base_events.py”, line 764, in call_soon_threadsafe self._check_closed() File “C:\Users\charo\anaconda3\envs\chatbottest\lib\asyncio\base_events.py”, line 508, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-08-06 15:32:59 ERROR concurrent.futures - exception calling callback for <Future at 0x2a465562f40 state=finished returned list> Traceback (most recent call last): File “C:\Users\charo\anaconda3\envs\chatbottest\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “C:\Users\charo\anaconda3\envs\chatbottest\lib\asyncio\futures.py”, line 374, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “C:\Users\charo\anaconda3\envs\chatbottest\lib\asyncio\base_events.py”, line 764, in call_soon_threadsafe self._check_closed() File “C:\Users\charo\anaconda3\envs\chatbottest\lib\asyncio\base_events.py”, line 508, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed Traceback (most recent call last): File “C:\Users\charo\anaconda3\envs\chatbottest\lib\site-packages\rasa\cli\x.py”, line 496, in run_locally local.main( File “C:\Users\charo\anaconda3\envs\chatbottest\lib\site-packages\rasax\community\local.py”, line 257, in main common_utils.run_in_loop(model_service.discover_models()) File “C:\Users\charo\anaconda3\envs\chatbottest\lib\site-packages\rasax\community\utils\common.py”, line 900, in run_in_loop return loop.run_until_complete(coro) File “C:\Users\charo\anaconda3\envs\chatbottest\lib\asyncio\base_events.py”, line 616, in run_until_complete return future.result() File “C:\Users\charo\anaconda3\envs\chatbottest\lib\site-packages\rasax\community\services\model_service.py”, line 821, in discover_models await model_service.discover_models() File “C:\Users\charo\anaconda3\envs\chatbottest\lib\site-packages\rasax\community\services\model_service.py”, line 147, in discover_models await _run_loop(max_retries, sleep_in_seconds) File “C:\Users\charo\anaconda3\envs\chatbottest\lib\site-packages\rasax\community\services\model_service.py”, line 133, in _run_loop await self._discover_models() File “C:\Users\charo\anaconda3\envs\chatbottest\lib\site-packages\rasax\community\services\model_service.py”, line 185, in _discover_models minimum_version = await self._retry_fetching_minimum_compatible_version() File “C:\Users\charo\anaconda3\envs\chatbottest\lib\site-packages\rasax\community\services\model_service.py”, line 174, in _retry_fetching_minimum_compatible_version minimum_version = await self.minimum_compatible_version() File “C:\Users\charo\anaconda3\envs\chatbottest\lib\site-packages\rasax\community\services\model_service.py”, line 160, in minimum_compatible_version info = await stack_service.version() File “C:\Users\charo\anaconda3\envs\chatbottest\lib\site-packages\rasax\community\services\stack_service.py”, line 107, in version response = await session.get( File “C:\Users\charo\anaconda3\envs\chatbottest\lib\site-packages\aiohttp\client.py”, line 619, in _request break File “C:\Users\charo\anaconda3\envs\chatbottest\lib\site-packages\aiohttp\helpers.py”, line 656, in exit raise asyncio.TimeoutError from None asyncio.exceptions.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

I really need help to solve this

Thankyou in advance

@firstchn

Share Rasa version

rasa --version

Or

Downgrade to rasa-x==0.39.3

pip install rasa-x==0.39.3 --extra-index-url https://pypi.rasa.com/simple

Somre errors:

ImportError: cannot import name ‘RowProxy’ from ‘sqlalchemy.engine’ try running pip install SQLAlchemy==1.3.22 should fix it.)

And, if you get an error not being able to import yaml then run pip install pyyaml.

Good Luck!

thankyou i will try it sir

@firstchn I hope this will work for you, and do share me rasa version. Its being a long time, so take your time and if any help need do buzz me here :slight_smile:

1 Like

this is my version

please help me with this error sir

image

this is my version now and sorry for late reply

@firstchn please delete .db files of events and rasa and then run rasa x.

@nik202 I really appreciate your help here in the forum! :pray: :slightly_smiling_face:

I am facing similar issues with starting rasa x in local mode… It basically starts rasa x, but then it says there is no model active, which makes no sense in local mode. The error message I get is: asyncio.exceptions.TimeoutError

These are my rasa versions:

Rasa Version      :         2.8.2
Minimum Compatible Version: 2.8.0
Rasa SDK Version  :         2.8.1
Rasa X Version    :         0.42.0
Python Version    :         3.8.2
Operating System  :         macOS-11.5.2-x86_64-i386-64bit

Many thanks in advance for any help :upside_down_face: By the way: nice profile pic :wink:

@jackpotandy

Step 1:

pip install rasa==2.8.1

Step 2:

pip install rasa-x==0.39.3 --extra-index-url https://pypi.rasa.com/simple

Step 3:

((if?)You will see some error : ImportError: cannot import name ‘RowProxy’ from ‘sqlalchemy.engine’ Install)

pip install SQLAlchemy==1.3.22

Step 4:

If sanic related error:

pip install sanic-jwt==1.6.0

Step 5:

delete .db database file ‘events’ and ‘rasa’ and it will work and .db file automatic created as you run rasa x.

Lol, thanks Andreas. I hope this will solve your issue, do let me know if you got any new error.

thankyou sir i will do it again

@nik202 so have to delete it in root folder right sir? i trying to find .db file but i cant see it

@firstchn please don’t call me sir :slight_smile: just nik

@firstchn in your project folder check you will able to see, do you have project created using rasa init?Screenshot 2021-08-20 at 11.07.43 AM

@firstchn did you find it?

I’m still get this nik

@firstchn this is not the full error, please share full

@firstchn Did you followed these steps?

Step 1:

pip install rasa==2.8.1

Step 2:

pip install rasa-x==0.39.3 --extra-index-url https://pypi.rasa.com/simple

Step 3:

((if?)You will see some error : ImportError: cannot import name ‘RowProxy’ from ‘sqlalchemy.engine’ Install)

pip install SQLAlchemy==1.3.22

Step 4:

If sanic related error:

pip install sanic-jwt==1.6.0

Step 5: alembic related error:

delete .db database file ‘events’ and ‘rasa’ and it will work and .db file automatic created as you run rasa x.

Yes, nik i follow all of your step, i will try it again

@nik202 will install all of it again, please keep helping me if im still got error :slight_smile:

@firstchn you need to see every step and for this error delete .db files and run rasa x

@nik202

i delete all .db files nik